## ros-indigo-bwi-joystick-teleop 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_joystick_teleop)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  joy
  roscpp
  sensor_msgs
  std_msgs
)
catkin_package(
  CATKIN_DEPENDS geometry_msgs sensor_msgs std_msgs
)

###########
## Build ##
###########

include_directories(${catkin_INCLUDE_DIRS})

# Declare a C++ executable
add_executable(joystick_teleop_node src/joystick_teleop_node.cpp)
add_dependencies(joystick_teleop_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(joystick_teleop_node ${catkin_LIBRARIES})

#############
## Install ##
#############

install(TARGETS joystick_teleop_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
# Mark other files for installation (e.g. launch and bag files, etc.)
install(FILES
  launch/joystick_teleop.launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-bwi-joystick-teleop (0.3.12-0trusty) trusty; urgency=high



 -- Alex Gonzales <musigonzales@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-joystick-teleop (0.3.11-0trusty) trusty; urgency=high

  * Install launch file in bwi_joystick_teleop
  * Add parameter to select Xbox or PS4 mappings
  * Contributors: Nicu Stiurca

 -- Alex Gonzales <musigonzales@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-joystick-teleop (0.3.10-0trusty) trusty; urgency=high



 -- Alex Gonzales <musigonzales@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-joystick-teleop (0.3.9-0trusty) trusty; urgency=high



 -- Alex Gonzales <musigonzales@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

ros-indigo-bwi-joystick-teleop (0.3.8-0trusty) trusty; urgency=high

  * Migrating bwi_joystick_teleop from bwi_experimental
  * Contributors: Alex Gonzales, Rolando Fernandez

 -- Alex Gonzales <musigonzales@gmail.com>  Mon, 06 Jun 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-joystick-teleop
Section: misc
Priority: extra
Maintainer: Alex Gonzales <musigonzales@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-joy, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/bwi_joystick_teleop
Standards-Version: 3.9.2

Package: ros-indigo-bwi-joystick-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometry-msgs, ros-indigo-joy, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Allows robots to be controlled with joysticks through the use of the joy library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-joystick-teleop//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
